Display full version of the post: Measure multiple points

lopezio
30.07.2009, 01:55
How can i measure multiple points? I want to start measure click one point click other point and when in my last point i want the total length.
Thank you
(Autocad V 2010)lopezio2009-07-30 02:00:10

Vladimir Michl
30.07.2009, 08:32
You can use the new [CMD]MEASUREGEOM[/CMD] command or the option Multiple in the [CMD]DIST[/CMD] command.

msplcdykee69
30.07.2009, 20:59
Here is a Lisp Command CD Cumulative distance
 
;cumulative distance;this routine is just like the Autocad Distance command with the;exception that it allows you to pick more than 2 consecutive points.;the routine will display the cumulative distance and the distance;between the last two points picked on the command line.
(defun c:cd () (setvar "cmdecho" 0) (graphscr) (setq   p1 (getpoint "\nPick start point ")  p2 (getpoint p1 "\nPick next point ")  d1 (distance p1 p2)  prdist (strcat "\nDistance: " (rtos d1)) ) (princ prdist) (setq p3 (getpoint p2 "\nPick next point or RETURN if done ")) (while p3  (setq   d0 (distance p2 p3)   d1 (+ (distance p2 p3) d1)   p2 p3   prdist (strcat "\nDistance: " (rtos d0) ", Cumulative distance: " (rtos d1))  )  (princ prdist)  (setq p3 (getpoint p2 "\nPick Next Point ")) ) (setq cumd (strcat "Cumulative distance --> " (rtos d1))) (prompt cumd) (princ))(princ "\nType CD to run Cumulative Distance")(princ)

lopezio
04.08.2009, 00:05
Hi
Thank you but i'm new user, and i don't understand how can i use MEASUREGEOM  because i select the first point and when i select the next point this command give me the measure between the two points and i cannot select one third point to get the total distance. What i'm doing wrong?

SeanFtS
04.08.2009, 03:56
(2010) "Measuregeom" command:
 
Enter an option [Distance/Radius/Angle/ARea/Volume] <Distance>: Distance
Specify first point: Specify a point
Specify second point or [Multiple Points]: m
Trace lines and get the line lengths calculated.
Enter an option [Distance/Radius/Angle/ARea/Volume/eXit] <Distance>: Exit
 
You can also click F1 and get this instraction in AutoCAD help documents.
 
Sean
http://www.autodwg.com/pdf-to-dwg-converter/

theflyer84
18.08.2009, 14:09
faster way to do that is to create a polyline between the points, and under the propriety of the polyline you will see the lenght! ;)------------------------------------------------------www.dwgforfree.com